﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.DesktopEdition;
using System.Collections.ObjectModel;

namespace Post8773
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        ClassBreak classBreak = new ClassBreak();

        private void Form1_Load(object sender, EventArgs e)
        {
            winformsMap1.MapUnit = GeographyUnit.DecimalDegree;

            InMemoryFeatureLayer inMemoryFeatureLayer = new InMemoryFeatureLayer();
            inMemoryFeatureLayer.Open();
            inMemoryFeatureLayer.Columns.Add(new FeatureSourceColumn("Index"));

            for (int i = 0; i < 50; i++)
            {
                Feature feature = new Feature(i, i);
                feature.ColumnValues.Add("Index", i.ToString());
                inMemoryFeatureLayer.InternalFeatures.Add(feature);
            }

            ClassBreakStyle classBreakStyle = new ClassBreakStyle("Index");
            classBreakStyle.ClassBreaks.Add(new ClassBreak(double.MinValue, PointStyles.CreateSimplePointStyle(PointSymbolType.Star, GeoColor.SimpleColors.Green, 10)));
            classBreak = new ClassBreak(20, PointStyles.CreateSimplePointStyle(PointSymbolType.Circle, GeoColor.SimpleColors.Red, 3));
            classBreakStyle.ClassBreaks.Add(classBreak);

            inMemoryFeatureLayer.ZoomLevelSet.ZoomLevel01.CustomStyles.Add(classBreakStyle);
            inMemoryFeatureLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            LayerOverlay layerOverlay = new LayerOverlay();
            layerOverlay.Layers.Add(inMemoryFeatureLayer);
            winformsMap1.Overlays.Add(layerOverlay);

            winformsMap1.CurrentExtent = inMemoryFeatureLayer.GetBoundingBox();// new RectangleShape(0, 50, 50, 0);
            winformsMap1.Refresh();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            classBreak.Value = Convert.ToInt32(txtThreshValue.Text);
            winformsMap1.Refresh();
        }
    }
}
